Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.sigfile.f40
Class F40Reader

    java.lang.Object
      com.sun.tdk.signaturetest.sigfile.SignatureClassLoader
          com.sun.tdk.signaturetest.sigfile.f40.F40Reader

All Implemented Interfaces:
  Reader

Direct Known Subclasses:
  F41Reader

    public class F40Reader

extends SignatureClassLoader

Field Summary

Fields inherited from class com.sun.tdk.signaturetest.sigfile.SignatureClassLoader
`apiVersion, features, format, signatureFileFormat`

Constructor Summary
`F40Reader(Format format)`

Method Summary
`protected java.util.List` | `convertClassDefinitions(java.util.List definitions)`
`protected java.lang.String` | `convertClassDescr(java.lang.String descr)`
`protected Parser` | `getParser()`

Methods inherited from class com.sun.tdk.signaturetest.sigfile.SignatureClassLoader
`close, getAllSupportedFeatures, getApiVersion, hasFeature, preprocessLine, readHeaders, readNextClass, readSignatureFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### F40Reader

    public F40Reader(Format format)

Method Detail

### convertClassDescr

    protected java.lang.String convertClassDescr(java.lang.String descr)

  Specified by:
    `convertClassDescr` in class `SignatureClassLoader`

### convertClassDefinitions

    protected java.util.List convertClassDefinitions(java.util.List definitions)

  Specified by:
    `convertClassDefinitions` in class `SignatureClassLoader`

### getParser

    protected Parser getParser()

  Specified by:
    `getParser` in class `SignatureClassLoader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD